Gem install error

$ gem install ruby-debug-base19x
1 ↵
Building native extensions. This could take a while…
ERROR: Error installing ruby-debug-base19x:
ERROR: Failed to build gem native extension.

    /home/proggrammer/.rvm/rubies/ruby-1.9.3-p286/bin/ruby

extconf.rb
checking for rb_method_entry_t.body in method.h… no
checking for vm_core.h… no
/home/proggrammer/.rvm/gems/ruby-1.9.3-p286/gems/ruby_core_source-0.1.5/lib/ruby_core_source.rb:39:
Use RbConfig instead of obsolete and deprecated Config.
checking for rb_method_entry_t.body in method.h… no
checking for vm_core.h… yes
checking for iseq.h… yes
checking for insns.inc… yes
checking for insns_info.inc… yes
checking for eval_intern.h… yes
creating Makefile

make
compiling breakpoint.c
compiling ruby_debug.c
ruby_debug.c:24:19: error: conflicting types for
‘rb_iseq_compile_with_option’
/home/proggrammer/.rvm/rubies/ruby-1.9.3-p286/include/ruby-1.9.1/ruby-1.9.3-p286/vm_core.h:505:7:
note: previous declaration of ‘rb_iseq_compile_with_option’ was here
make: *** [ruby_debug.o] Error 1

Gem files will remain installed in
/home/proggrammer/.rvm/gems/ruby-1.9.3-p286/gems/ruby-debug-base19x-0.11.29
for inspection.
Results logged to
/home/proggrammer/.rvm/gems/ruby-1.9.3-p286/gems/ruby-debug-base19x-0.11.29/ext/ruby_debug/gem_make.out

On 12/17/12, Prog R. [email protected] wrote:

/home/proggrammer/.rvm/gems/ruby-1.9.3-p286/gems/ruby_core_source-0.1.5/lib/ruby_core_source.rb:39:

compiling breakpoint.c
compiling ruby_debug.c
ruby_debug.c:24:19: error: conflicting types for
‘rb_iseq_compile_with_option’

/home/proggrammer/.rvm/rubies/ruby-1.9.3-p286/include/ruby-1.9.1/ruby-1.9.3-p286/vm_core.h:505:7:

note: previous declaration of ‘rb_iseq_compile_with_option’ was here
make: *** [ruby_debug.o] Error 1

see
http://stackoverflow.com/questions/8835522/unable-to-install-gem-ruby-debug19-on-win7-with-installd-ruby-1-9-2-and-1-9-3

I have Windows 7. I am trying to get the gem installed for MySQL
Server 5.5
So, I get the zip file for gem from Brian Mario’s repository on github
mysql2, extract it in the new mysql2-0.3.12b5 folder and start the
procedure as follows. As seen below, I get the error “file ‘lib’ not
found” at the end. I tried many times, got the same problem. Has
anyone have a solution to this?

EDZIBA-PC/c/railsinstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/mysql2-0.3.12b5
$ gem build mysql2.gemspec
fatal: Not a git repository (or any of the parent directories): .git
fatal: Not a git repository (or any of the parent directories): .git
WARNING: no description specified
Successfully built RubyGem
Name: mysql2
Version: 0.3.12b5
File: mysql2-0.3.12b5.gem

EDZIBA-PC/c/railsinstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/mysql2-0.3.12b5
$ subst X: “C:\Program Files\MySQL\MySQL Server 5.5”
Drive already SUBSTed

EDZIBA-PC/c/railsinstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/mysql2-0.3.12b5
$ gem install mysql2-0.3.12b5.gem --platform=ruby – --with-mysql-dir=X:
–with-mysql-lib=X:\lib
Temporarily enhancing PATH to include DevKit…
Building native extensions. This could take a while…
Successfully installed mysql2-0.3.12b5
1 gem installed
Installing ri documentation for mysql2-0.3.12b5…
file ‘lib’ not found
Installing RDoc documentation for mysql2-0.3.12b5…
file ‘lib’ not found

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs